select `module_id` into @module_id from `ombutel`.`ombu_modules` where `name` = "complete_concierge";
select `category_id` into @category_id from `ombutel`.`ombu_destination_categories` where `name` = "terminate_call";

insert ignore into `ombutel`.`ombu_ars` (`description`) values ("CC - Internal");
select last_insert_id() into @cs0_ars_id;

insert ignore into `ombutel`.`ombu_ars` (`description`) values ("CC - Local");
select last_insert_id() into @cs1_ars_id;

insert ignore into `ombutel`.`ombu_ars` (`description`) values ("CC - National");
select last_insert_id() into @cs2_ars_id;

insert ignore into `ombutel`.`ombu_ars` (`description`) values ("CC - International");
select last_insert_id() into @cs3_ars_id;

insert ignore into `ombutel`.`ombu_destinations` (`category_id`, `module_id`, `index`) values (@category_id, @module_id, 1);
select last_insert_id() into @cs0_bad_destination_id;

insert ignore into `ombutel`.`ombu_destinations` (`category_id`, `module_id`, `index`) values (@category_id, @module_id, 1);
select last_insert_id() into @cs1_bad_destination_id;

insert ignore into `ombutel`.`ombu_destinations` (`category_id`, `module_id`, `index`) values (@category_id, @module_id, 1);
select last_insert_id() into @cs2_bad_destination_id;

insert ignore into `ombutel`.`ombu_destinations` (`category_id`, `module_id`, `index`) values (@category_id, @module_id, 1);
select last_insert_id() into @cs3_bad_destination_id;

insert ignore into `ombutel`.`ombu_feature_code_categories` (`description`) values ('CC_features');
select last_insert_id() into @cc_feature_category_id;

insert ignore into `ombutel`.`ombu_feature_code_category_members`
select @cc_feature_category_id, `feature_code_id` from `ombutel`.`ombu_feature_codes` where `feature_name` in (
'request_wakeup_call',
'speak_last_number',
'say_date_time',
'speak_ext_number',
'direct_vm',
'echo_test',
'cc_room_status_inline',
'cc_room_status',
'cc_minibar');

insert ignore into `ombutel`.`ombu_classes_of_service` (`cos`, `description`, `feature_code_category_id`,
`ars_id`, `default`, `bad_destination_id`) values
	("cc_internal", "Complete Concierge - Internal", @cc_feature_category_id, @cs0_ars_id, "no", @cs0_bad_destination_id);
select last_insert_id() into @cs0_class_of_service_id;

insert ignore into `ombutel`.`ombu_classes_of_service` (`cos`, `description`, `feature_code_category_id`,
`ars_id`, `default`, `bad_destination_id`) values
	("cc_local", "Complete Concierge - Local", @cc_feature_category_id, @cs1_ars_id, "no", @cs1_bad_destination_id);
select last_insert_id() into @cs1_class_of_service_id;

insert ignore into `ombutel`.`ombu_classes_of_service` (`cos`, `description`, `feature_code_category_id`,
`ars_id`, `default`, `bad_destination_id`) values
	("cc_national", "Complete Concierge - National", @cc_feature_category_id, @cs2_ars_id, "no", @cs2_bad_destination_id);
select last_insert_id() into @cs2_class_of_service_id;

insert ignore into `ombutel`.`ombu_classes_of_service` (`cos`, `description`, `feature_code_category_id`,
`ars_id`, `default`, `bad_destination_id`) values
	("cc_international", "Complete Concierge - International", @cc_feature_category_id, @cs3_ars_id, "no", @cs3_bad_destination_id);
select last_insert_id() into @cs3_class_of_service_id;

insert ignore into `hospitality`.`settings` (`name`, `value`) values
	("cs0", @cs0_class_of_service_id),
	("cs1", @cs1_class_of_service_id),
	("cs2", @cs2_class_of_service_id),
	("cs3", @cs3_class_of_service_id)
on duplicate key update `value` = values(`value`);
