use `hospitality`;

-- clean rooms table
drop table if exists `rooms`;

-- recreate rooms table
create table `rooms` (
	`room_id` int unsigned not null auto_increment,
	`number` varchar(255) not null,
	primary key (`room_id`)
);

-- populate room numbers
insert into `rooms` (number)
	select `roomnumber` from `roomtranslation`
	group by `roomnumber`;

-- remove auto_increment and rename
alter table `roomtranslation` change column `id` `room_id` int unsigned not null;

-- remove primary key
alter table `roomtranslation` drop primary key;

-- update the room ids
update `roomtranslation` as `rt`
	left join `rooms` as `r` on (
		`r`.`number` = `rt`.`roomnumber`)
	set `rt`.`room_id` = `r`.`room_id`;

-- set foreign key on room id
alter table `roomtranslation` add foreign key (`room_id`) references `rooms` (`room_id`) on delete cascade;

-- remove redundand column roomnumber
alter table `roomtranslation` drop column `roomnumber`;
