(function() {
	// settings
	$("#complete_conciergesettings .database-sync").click(function() {
		pbx_request("complete_concierge", "database_sync");
	});
	$("#complete_conciergesettings .restart-services").click(function() {
		pbx_request("complete_concierge", "restart_services");
	});
	var pms_interface = $("#complete_conciergesettings select[name=pms_interface]");
	var toggle_mitel_addon_options = function() {
		var hobic = $("#complete_conciergesettings .form-group-hobic_address, #complete_conciergesettings .form-group-hobic_port").hide();
		var smdr = $("#complete_conciergesettings .form-group-smdr_address, #complete_conciergesettings .form-group-smdr_port").hide();
		var mitel_addon = $("#complete_conciergesettings input[name=mitel_addon]:checked");
		if (pms_interface.val() == "mitel") {
			if (mitel_addon.val() == "hobic") {
				hobic.show();
			} else if (mitel_addon.val() == "smdr") {
				smdr.show();
			}
		}
	};
	var toggle_mitel_addon = function() {
		var mitel_addon = $("#complete_conciergesettings .form-group-mitel_addon").hide();
		var address_label = $("#complete_conciergesettings .form-group-network_address > label");
		var port_label = $("#complete_conciergesettings .form-group-network_port > label");
		if (pms_interface.val() == "mitel") {
			mitel_addon.show();
			address_label.text(listening_address).append("<b class=\"red-color\">*</b>");
			port_label.text(listening_port).append("<b class=\"red-color\">*</b>");
		} else {
			address_label.text(network_address).append("<b class=\"red-color\">*</b>");
			port_label.text(network_port).append("<b class=\"red-color\">*</b>");
		}
		toggle_mitel_addon_options();
	};
	pms_interface.change(toggle_mitel_addon);
	$("#complete_conciergesettings input[name=mitel_addon]").change(toggle_mitel_addon_options);
	toggle_mitel_addon();
	toggle_mitel_addon_options();
	// rooms
	var rooms = new ombu.datatable(
		$("#complete_conciergerooms .row:last"),
		"complete_concierge",
		"get_rooms",
		true
	);
	$("#complete_conciergerooms .create-room").click(function() {
		pbx_request("complete_concierge", "create_room");
	});
	$("#complete_conciergerooms").on("update_rooms", function() {
		rooms.update();
		license_update();
		showReloadButton();
	});
	$("#complete_conciergerooms .datatable").on("click", "button.btn-warning", function(event) {
		var key = $(event.target).closest("tr").data("key");
		pbx_request("complete_concierge", "edit_room", "edit", key);
		return false;
	});
	$("#complete_conciergerooms .datatable").on("click", "button.btn-danger", function(event) {
		var key = $(event.target).closest("tr").data("key");
		pbx_request("complete_concierge", "delete_room", "delete", key);
		return false;
	});
	$("#complete_conciergerooms button.import_rooms").on("click", function() {
		var element = $('#complete_conciergerooms input[name=rooms]');
		if (element.val()) {
			import_rooms(element);
		} else {
			sendNotification('warning', complete_concierge_no_file);
		}
	});
	function show_warning(message, on_confirm) {
		BootstrapDialog.show({
			type: BootstrapDialog.TYPE_WARNING,
			title: complete_concierge_title,
			message: message,
			buttons: [{
				label: complete_concierge_confirm,
				cssClass: 'btn-warning',
				action: function(dialog) {
					dialog.close();
					on_confirm();
				}
			}, {
				label: complete_concierge_cancel,
				cssClass: 'btn-primary',
				action: function(dialog) {
					dialog.close();
				}
			}]
		});
	}
	function import_rooms(element) {
		show_warning(complete_concierge_rooms_warning, function() {
			var formData = new FormData();
			formData.append('rooms', element[0].files[0]);
			$.ajax({
				url: "?class=complete_concierge&method=import_rooms",
				data: formData,
				type: "POST",
				datatype: "json",
				contentType: false,
				processData: false,
				success: function(response) { processServerResponse(JSON.parse(response)) },
				error: processServerErrors
			});
		});
	}
	function license_update() {
		$.ajax({
			type: "POST",
			url: CallBack,
			dataType: 'json',
			data: { class: "complete_concierge", method: "update_room_status" },
			success: function (data) {
				var total = $("#complete_conciergerooms input#total_rooms");
				var inuse = $("#complete_conciergerooms input#inuse_rooms");
				var available = $("#complete_conciergerooms input#available_rooms");
				var result = parseInt(data.total - data.inuse);
				total.val(data.total);
				inuse.val(data.inuse);
				available.val((isNaN(result)) ? 0 : result);
			}
		});
	}
	// callrates
	var callrates = new ombu.datatable(
		$("#complete_conciergecallrates .row:last"),
		"complete_concierge",
		"get_callrates",
		true
	);
	$("#complete_conciergecallrates .create-callrate").click(function() {
		pbx_request("complete_concierge", "create_callrate");
	});
	$("#complete_conciergecallrates").on("update_callrates", function() {
		callrates.update();
	});
	$("#complete_conciergecallrates .datatable").on("click", "button.btn-warning", function(event) {
		var key = $(event.target).closest("tr").data("key");
		pbx_request("complete_concierge", "edit_callrate", "edit", key);
		return false;
	});
	$("#complete_conciergecallrates .datatable").on("click", "button.btn-danger", function(event) {
		var key = $(event.target).closest("tr").data("key");
		pbx_request("complete_concierge", "delete_callrate", "delete", key);
		return false;
	});
	$("#complete_conciergecallrates button.import_callrates").on("click", function() {
		var element = $('#complete_conciergecallrates input[name=callrates]');
		if (element.val()) {
			import_callrates(element);
		} else {
			sendNotification('warning', complete_concierge_no_file);
		}
	});
	$("#complete_conciergecallrates .callrates-factory-reset").click(function(event) {
		show_warning(complete_concierge_callrates_warning, function() {
			pbx_request("complete_concierge", "callrates_factory_reset");
		});
	});
	function import_callrates(element) {
		show_warning(complete_concierge_callrates_warning, function() {
			var formData = new FormData();
			formData.append('callrates', element[0].files[0]);
			$.ajax({
				url: "?class=complete_concierge&method=import_callrates",
				data: formData,
				type: "POST",
				datatype: "json",
				contentType: false,
				processData: false,
				success: function(response) { processServerResponse(JSON.parse(response)) },
				error: processServerErrors
			});
		});
	}
	// languages
	var languages = new ombu.datatable(
		$("#complete_conciergelanguages .row"),
		"complete_concierge",
		"get_languages",
		true
	);
	$("#complete_conciergelanguages .create-language").click(function() {
		pbx_request("complete_concierge", "create_language");
	});
	$("#complete_conciergelanguages").on("update_languages", function() {
		languages.update();
	});
	$("#complete_conciergelanguages .datatable").on("click", "button.btn-warning", function(event) {
		var key = $(event.target).closest("tr").data("key");
		pbx_request("complete_concierge", "edit_language", "edit", key);
		return false;
	});
	$("#complete_conciergelanguages .datatable").on("click", "button.btn-danger", function(event) {
		var key = $(event.target).closest("tr").data("key");
		pbx_request("complete_concierge", "delete_language", "delete", key);
		return false;
	});

	$('form#complete_concierge_form').on('submit', function() {
		var callrates_fileuploads = $('#complete_conciergecallrates input[name=callrates]');
		var rooms_fileuploads = $('#complete_conciergerooms input[name=rooms]');
		callrates_fileuploads.prop('disabled', true);
		rooms_fileuploads.prop('disabled', true);
		setTimeout(function() {
			callrates_fileuploads.prop('disabled', false);
			rooms_fileuploads.prop('disabled', false);
		}, 100);
	});
})();
